
{{- $architecture := .architecture -}}
architecture: {{ $architecture }}

actions:
  - action: apt
    description: Install Nirvati dependencies
    update: true
    recommends: true
    packages:
      - git
      - curl
      - nfs-common
      - nvme-cli
      - open-iscsi

  - action: run
    description: Rename radxa user to nirvati
    chroot: true
    command: |
        adduser --gecos "nirvati" \
                --disabled-password \
                --shell /bin/bash \
                "nirvati"

        echo "nirvati:freedom" | chpasswd

  - action: run
    description: Fix avahi config to prevent hostname cycling
    chroot: true
    command: sed -i "s/#allow-interfaces=eth0/allow-interfaces=eth0,wlan0/g;" /etc/avahi/avahi-daemon.conf

  - action: run
    description: Install K3s
    chroot: true
    script: scripts/install_k3s.sh
